/*
 * FILE								: config.h
 * DESCRIPTION				: This file is iHMI43 config file header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * --------------------
 */

//------------------define-------------------------------//

#ifndef __config_h__
#define __config_h__

//-----------------Include files-------------------------//

//----------------- Typedef------------------------------//
#define	LANGUAGE_EN	0
#define	LANGUAGE_CN	1

#define BUFFER_SIZE	200
#define UART_BUFFER_SIZE	200
#define CPU_CLK	8000000*9


#define	SIMSUN16_ADDRESS_BASE	0
#define	SIMSUN16F_ADDRESS_BASE	65536*5

#define SIMSUN12_ADDRESS_BASE	65536*10

#define SIMHEI24_ADDRESS_BASE	65536*15

#define LOGO_ADDRESS_BASE		65536*24


#define TRUE	1
#define	FALSE	0

#define	END_FLAG	'\n'

#define	ON	1
#define	OFF	0 


#define  XFAC	   0.129129
#define  XOFF	   -23.387387
#define	 YFAC      0.077363
#define  YOFF	   -23.168517

#endif //__config_h__
