/*
 * FILE								: sd.h
 * DESCRIPTION				: This file is iHMI43 sd card header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 03/05/2012
 *
 * create.
 * --------------------
 */
#ifndef __sd_h__
#define __sd_h__
//-----------------Include files-------------------------//
#include "..\include\hardware.h"

//------------------- Define ----------------------------//

//------------------- Typedef --------------------------//

typedef  struct{
	int (* initialize)(void);
	int (* read_cid)(unsigned char * buf);
	int (* read_csd)(unsigned char * buf);
	int (* read_sector)(unsigned long int sector_number, unsigned char * buf);
	int (* write_sector)(unsigned long int sector_number,const unsigned char * buf);
 
}SD_T;

//------------------- Extern --------------------------//

extern SD_T sd;

#endif //__sd_h__
