/*
 * FILE								: spi.h
 * DESCRIPTION				: This file is iHMI43 spi header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 03/05/2012
 *
 * create.
 * --------------------
 */
#ifndef __SPI_H__
#define __SPI_H__
//-----------------Include files-------------------------//
#include "..\include\hardware.h"

//------------------- Define ----------------------------//

#define  SPI2_CS_OFF	GPIOB->BSRR.B.CLRIO12=1                                   
#define  SPI2_CS_ON		GPIOB->BSRR.B.SETIO12=1 

//------------------- Typedef --------------------------//

typedef  struct{
	int (* initialize)(void);
	int (* write)(int /*  number */,unsigned char * /* buffer */);
	unsigned char  (* send_data)(unsigned char );
}SYS_SPI_T;

//------------------- Extern --------------------------//

extern SYS_SPI_T spi2;

#endif //__SPI_H__
