 /*
 * FILE								: usb_mass.c
 * DESCRIPTION				: This file is usb_mass file.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 07/24/2012
 *
 * create.
 * -------------------
 */

//---------------- Include files ------------------------//
#include "..\include\usb_mass.h"
//---------------- Function Prototype -------------------//

static int initialize(void);
extern int USB_cable(void);
extern void CTR_HP(void);
extern void USB_Istr(void);

//---------------- Variable -----------------------------//
 USB_MASS_T usb_mass = {
	 .initialize = initialize
 };
 
//-----------------Function------------------------------//
/*
 * Name								: USB_HP_CAN1_TX_IRQHandler
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
 
 void USB_HP_CAN1_TX_IRQHandler(void)
{
    CTR_HP();
}
/*
 * Name								: USB_LP_CAN1_RX0_IRQHandler
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
void USB_LP_CAN1_RX0_IRQHandler(void)
{
    USB_Istr();
}
/*
 * Name								: initialize
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
 static int initialize(void)
{
    USB_cable();
	
		return 0;
}
