 /*
 * FILE								: monaco.c
 * DESCRIPTION				: This file is iHMI43 monaco.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * -------------------
 */

//---------------- Include files ------------------------//
#include "..\include\font.h"
#include <string.h>

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *);

//---------------- Variable -----------------------------//
extern const unsigned char rc_monaco[];

SINGLE_BYTE_FONT_T monaco = {
	.name = "Monaco",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 8,
	.dat = (void*)rc_monaco,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};
//-----------------Function------------------------------//
/*
 * Name								: get
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
static int
get(FONT_MATRIX_T *f)
{
	f->direction = DIRECTION_V;
	f->height = monaco.height;
	f->width = monaco.width;
	f->dat = (char*)monaco.dat + (f->character[0] - ' ') * 16;

	return 0;
}

