 /*
 * FILE								: simsun16f.c
 * DESCRIPTION				: This file is iHMI43 simsun16f.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * -------------------
 */

//---------------- Include files ------------------------//

#include <string.h>
#include "..\config\config.h"
#include "..\include\font.h"
//#include "..\include\flash.h"

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *f);
//---------------- Variable -----------------------------//

DOUBLE_BYTE_FONT_T simsun16f = {
	.name = "Simsun 16 ",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 16,
	.dat = NULL,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};

//-----------------Function------------------------------//

/*
 * Name								: get
 * Description				: ---
 * Author							: XiaomaGee.
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 * 
 * create.
 * -------------------
 */
static int
get(FONT_MATRIX_T *f)
{
	unsigned long int offset;

	offset = f->character[0];
	offset -= 0xa1;
	offset *= 94;
	offset += f->character[1];
	offset -= 0xa1;
	offset *= 32;

	f->direction = DIRECTION_H;
	f->height = simsun16.height;
	f->width = simsun16.width;

//	flash.read_32(offset + SIMSUN16F_ADDRESS_BASE, font_buffer);
	f->dat = font_buffer;

	return 0;
}

