 /*
 * FILE								: ads7843.h
 * DESCRIPTION				: This file is iHMI43 ads7843 driver file header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * -------------------
 */
#ifndef __ads7843_h__
#define __ads7843_h__
//-----------------Include files-------------------------//
#include "..\include\hardware.h"
  #include "..\config\config.h"
//------------------- Define ----------------------------//

//------------------- Typedef --------------------------//

#define	TBUSY	    	GPIOB->CRL.B.MODE1=0;\
				    	GPIOB->CRL.B.CNF1=1;

#define	TIRQ	    	GPIOB->CRL.B.MODE0=0;\
				    	GPIOB->CRL.B.CNF0=1;

typedef  struct{
	int (* initialize)(void);
	int (* read_x)(void);
	int (* read_y)(void);
	int (*read_coordinate_x)(void);
	int (*read_coordinate_y)(void);
	int (* write)(void);
	int (*Read_ADS)(int *x,int *y);
	int (*Read_ADS2)(int *x,int *y);
	int (*Touch_Adjust)(void);
	int (*Convert_Pos)(void);
	int (*Draw_Big_Point)(int x,int y);
	int (*read_key)(void);
}ADS7843_T;


//״̬	 
#define Key_Down1 0x01	//
#define Key_Up1   0x00 	//ɿ

//ʸ˽ṹ
typedef struct 
{
	int x0;//ԭʼ
	int y0;
	int X; ///ݴ
	int Y;						   	    
		  
//У׼
	double xfac;
	double yfac;
	double xoff;
	double yoff;
}Pen_Holder;	   

//------------------- Extern --------------------------//

extern ADS7843_T ads7843;
extern Pen_Holder Pen_Point;

extern int key_code;
#endif //__ads7843_h__
