 /*
 * FILE								: ds1302.h
 * DESCRIPTION				: This file is iHMI43 ds1302 driver file header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * -------------------
 */
#ifndef __ds1302_h__
#define __ds1302_h__

//-----------------Include files-------------------------//

//----------------- Typedef------------------------------//
 typedef  struct{ 
	unsigned char second;
	unsigned char minute;
	unsigned char hour;
	unsigned char day;
	unsigned char month;
	unsigned char week;
	unsigned char year;		
  
}RTC_T;		 

typedef  struct{	
	int (* initialize)(void);
	int (* get)(RTC_T * r);
	int (* set)(RTC_T * r); 
			 
}DS1302_T;

//----------------- Extern ------------------------------//

extern RTC_T rtc;
extern DS1302_T ds1302;

#endif //__ds1302_h__
