 /*
 * FILE								: spi3.h
 * DESCRIPTION				: This file is iHMI43 spi3.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * -------------------
 */
#ifndef __SPI3_H__
#define __SPI3_H__

#include "..\include\hardware.h"


#define  SPI3_CS_OFF	GPIOA->BSRR.B.CLRIO15=1                                   
#define  SPI3_CS_ON		GPIOA->BSRR.B.SETIO15=1 


typedef  struct{
	int (* initialize)(void);
	int (* write)(int /*  number */,unsigned char * /* buffer */);
	unsigned char  (* send_data)(unsigned char );
}SPI3_T;

extern SPI3_T spi3;



#endif //__SPI3_H__
