 /*
 * FILE								: touch.h
 * DESCRIPTION				: 
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * -------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * -------------------
 */
#ifndef __touch_h__
#define __touch_h__

//-----------------Include files-------------------------//

//------------------- Define ---------------------------//

//----------------- Typedef -----------------------------//
typedef struct ll_node{
	short int x0;
	short int y0;
	short int x1;
	short int y1;
	int event; 
	struct ll_node * next;
}TOUCH_LL_T;

typedef struct{
	int (* add_node)(TOUCH_LL_T *);
	int (* del_node)(int event);
	int (* clear)(void);

}TOUCH_T;

//---------------- Extern -------------------------------//

extern TOUCH_T touch;

extern TOUCH_LL_T touch_ll;

extern TOUCH_LL_T touch_key_a;
extern TOUCH_LL_T touch_key_b;

#endif //__touch_h__
