/*
 * FILE								: usart.h
 * DESCRIPTION				: This file is iHMI43 usart file header.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 * --------------------
 * Rev								: 0.00
 * Date								: 08/26/2012
 *
 * create.
 * --------------------
 */
#ifndef __usart_h__
#define __usart_h__

//---------------Include files--------------------------//
 #include "..\config\config.h"


//---------------Define--------------------------------//


//----------------Data struct--------------------------//

typedef struct{

	char receive_buffer[BUFFER_SIZE];
	int counter;
 
	int receive_ok_flag;
	int baudrate;
	int error;
	int (* initialize)(int);
	int (* send_string)(char *);
	int (* send_byte)(char);
	int (* send_buffer)(void *,int len);
	int (* printf)(const char * ,...);
 

}UART_T;

//-----------------extern function---------------------//

extern UART_T usart1;
extern UART_T usart2;
extern UART_T usart3;

//----------------extern variable--------------------//


#endif // __uart_h__
